<?php

namespace Ig\IgChart\ViewHelpers;

/**
 * View Helper Chart
 *
 * @api
 */
class ChartViewHelper extends AbstractChartViewHelper
{
    /*
     * Initialize arguments
     */
    public function initializeArguments(): void
    {
        parent::initializeArguments();

        $this->registerArgument('chartType', 'string', 'Char Type', false, 'Bar');
    }
    public function render()
    {
        $this->chartType = $this->arguments['chartType'];
        return parent::render();
    }
}
